@tool
extends EditorPlugin

func _enter_tree():
	add_tool_menu_item("Dictionary Processor", show_dictionary_window)

func _exit_tree():
	remove_tool_menu_item("Dictionary Processor")

func show_dictionary_window():
	var window = preload("res://addons/dictionary_processor/dictionary_window.gd").new()
	EditorInterface.get_editor_main_screen().add_child(window)
	window.popup_centered(Vector2i(600, 700))
